#include <iostream>
#include <string>
#include <stack>
using namespace std;

stack<char> st;
string message, ans;

void solve()
{
    int i, sz;
    cin >> message;
    sz = message.size();

    st.push(message[0]);
    for (i=1; i<sz; i++)
    {
        if (st.empty())
        {
            st.push(message[i]);
        }
        else
        {
            if (st.top() == message[i])
            {
                st.pop();
            }
            else
            {
                st.push(message[i]);
            }
        }
    }
}

void print()
{
    int i=0;

    while (!st.empty())
    {
        ans += st.top();
        st.pop();
        i++;
    }

    i--;
    for (; i>=0; i--) cout << ans[i];
    cout << endl;
}

int main ()
{
    solve();
    print();

    return 0;
}
